public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Viorel Munteanu" <ceamac@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-util/kbuild/
Date: Fri, 21 Apr 2023 16:38:31 +0000 (UTC)	[thread overview]
Message-ID: <1682094921.02156618843705a9eb13785cb4725e9777af483b.ceamac@gentoo> (raw)

commit:     02156618843705a9eb13785cb4725e9777af483b
Author:     Viorel Munteanu <ceamac <AT> gentoo <DOT> org>
AuthorDate: Wed Apr 19 18:31:35 2023 +0000
Commit:     Viorel Munteanu <ceamac <AT> gentoo <DOT> org>
CommitDate: Fri Apr 21 16:35:21 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=02156618

dev-util/kbuild: add 0.1.9998.3592

Signed-off-by: Viorel Munteanu <ceamac <AT> gentoo.org>

 dev-util/kbuild/Manifest                    |  1 +
 dev-util/kbuild/kbuild-0.1.9998.3592.ebuild | 73 +++++++++++++++++++++++++++++
 2 files changed, 74 insertions(+)

diff --git a/dev-util/kbuild/Manifest b/dev-util/kbuild/Manifest
index a7141e6665d2..aafd921a6413 100644
--- a/dev-util/kbuild/Manifest
+++ b/dev-util/kbuild/Manifest
@@ -1,3 +1,4 @@
 DIST kbuild-0.1.9998.3499-fix-clang-16.patch.bz2 10271 BLAKE2B fe40a3a0afafefa10da6fe675eec72392fe6bcc318d1d8728363b9e855d10e11d0b7189f875cd2d496bf4871f87b96ed2ad6775e6968e044cc107dad23f5fcab SHA512 8f11355f0bfdda431dba4cb4dcd73c5bf0b10d2380495fe91292846b57fb7f80711d711b0b229fb4a865512d90010a181d1e1ab7d2b57d1a1751ce79440b02dc
 DIST kbuild-0.1.9998.3499-src.tar.xz 2371580 BLAKE2B 847c5c67ded37ca87228ff7164d6c7f2f670a57f2fd94d6d0bf4f8896266e7fe5442666c03dbda016564a52dc91d10be83f0d4b0ef5093db0f5210ac8d5f3aaa SHA512 eebdcd1d2fa71313edd764d45a4aa3580078af22d7c5fed32d3d139a4f41c4e028282fdfdda0ee9b617ed0e8e63b8f5d065b3cf6647f08fe446560938b7577fc
 DIST kbuild-0.1.9998.3572-src.tar.xz 3973848 BLAKE2B 103e42d719fd77bc5c55aea48bdfd01c8ad136529cc76cc8c1297f87e21e5d4e2e7149f9321c5174808613a84331dbea8bb4c0a7662eb2de9e1045c8ad365047 SHA512 96bb5e1759990bf3acaca4b0ba7c02926c6607b0cd94f7fca222b13eee5c3364c64b35e3473c5cee45fa094cb2b851ac9f3a3a9fe60cff894baf46238ccb4006
+DIST kbuild-0.1.9998.3592-src.tar.xz 3975348 BLAKE2B 4b1862238f6f6c35ba1b586e11e17baca3b66c4ba3a97b17168ced902d7fcc9f1baa9a4b8669489902346b9bab67095f4ff4d008187c36cd2ef4b7841d4134be SHA512 b9ca1723b426db81571b048db5afe4b7c3d2d8a881003812e9a5f9df44c5109b628d77af415cf56eb44a8775c590a6f0e343efccf562ef83213c5525e081e59b

diff --git a/dev-util/kbuild/kbuild-0.1.9998.3592.ebuild b/dev-util/kbuild/kbuild-0.1.9998.3592.ebuild
new file mode 100644
index 000000000000..ff88c2e7b8d4
--- /dev/null
+++ b/dev-util/kbuild/kbuild-0.1.9998.3592.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools toolchain-funcs
+
+DESCRIPTION="A makefile framework for writing simple makefiles for complex tasks"
+HOMEPAGE="https://trac.netlabs.org/kbuild/wiki"
+SRC_URI="
+	https://dev.gentoo.org/~ceamac/${CATEGORY}/${PN}/${P}-src.tar.xz
+	https://dev.gentoo.org/~ceamac/${CATEGORY}/${PN}/${PN}-0.1.9998.3499-fix-clang-16.patch.bz2
+"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+BDEPEND="
+	sys-apps/texinfo
+	sys-devel/flex
+	sys-devel/gettext
+	virtual/pkgconfig
+	app-alternatives/yacc
+"
+
+PATCHES=(
+	"${FILESDIR}/${PN}-0.1.9998.3407-unknown_configure_opt.patch"
+	"${FILESDIR}/${PN}-0.1.5-gentoo-docdir.patch"
+	"${FILESDIR}/${PN}-0.1.9998_pre20120806-qa.patch"
+	"${FILESDIR}/${PN}-0.1.9998_pre20110817-kash-link-pthread.patch"
+	"${FILESDIR}/${PN}-0.1.9998.3572-fix-bison.patch"
+	"${FILESDIR}/${PN}-0.1.9998.3572-fix-lto.patch"
+	"${FILESDIR}/${PN}-0.1.9998.3499-implicit-function-declaration.patch"
+	"${FILESDIR}/${PN}-0.1.9998.3499-int-conversion.patch"
+	"${FILESDIR}/${PN}-0.1.9998.3499-fix-CC.patch"
+
+	"${WORKDIR}/${PN}-0.1.9998.3499-fix-clang-16.patch"
+)
+
+pkg_setup() {
+	# Package fails with distcc (bug #255371)
+	export DISTCC_DISABLE=1
+}
+
+src_prepare() {
+	default
+
+	# Add a file with the svn revision this package was pulled from
+	printf '%s\n' "KBUILD_SVN_REV := $(ver_cut 4)" \
+		> SvnInfo.kmk || die
+
+	cd "${S}/src/kmk" || die
+	eautoreconf
+	cd "${S}/src/sed" || die
+	eautoreconf
+
+	sed -e "s@_LDFLAGS\.$(tc-arch)*.*=@& ${LDFLAGS}@g" \
+		-e "s@_CFLAGS\.$(tc-arch)*.*=@& ${CFLAGS}@g" \
+		-e "s@_CXXFLAGS\.$(tc-arch)*.*=@& ${CXXFLAGS}@g" \
+		-i "${S}"/Config.kmk || die #332225
+	tc-export CC PKG_CONFIG RANLIB #AR does not work here
+}
+
+src_compile() {
+	kBuild/env.sh --full emake -f bootstrap.gmk AUTORECONF=true AR="$(tc-getAR)" \
+		|| die "bootstrap failed"
+}
+
+src_install() {
+	kBuild/env.sh kmk NIX_INSTALL_DIR=/usr PATH_INS="${D}" install \
+		|| die "install failed"
+}


             reply	other threads:[~2023-04-21 16:38 UTC|newest]

Thread overview: 36+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-04-21 16:38 Viorel Munteanu [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-05-29 17:49 [gentoo-commits] repo/gentoo:master commit in: dev-util/kbuild/ Arthur Zamarin
2023-05-29 12:57 Sam James
2023-05-03 11:29 Viorel Munteanu
2023-04-16 17:21 Viorel Munteanu
2023-04-16 17:19 Viorel Munteanu
2023-04-16 17:04 Arthur Zamarin
2023-04-14  9:33 Viorel Munteanu
2023-04-10  8:24 Sam James
2023-03-09  8:55 Viorel Munteanu
2023-01-11 12:54 Arthur Zamarin
2023-01-11 12:54 Arthur Zamarin
2022-11-27 10:08 Viorel Munteanu
2022-11-21  6:33 Viorel Munteanu
2022-11-20  8:31 Viorel Munteanu
2022-11-20  8:31 Viorel Munteanu
2021-10-20  3:07 Sam James
2021-10-20  1:51 Sam James
2021-06-18 21:07 David Seifert
2021-04-19 11:06 Lars Wendler
2020-09-25  8:46 Agostino Sarubbo
2020-05-23  0:38 Mike Frysinger
2019-04-20 13:51 Lars Wendler
2018-11-21 14:22 Lars Wendler
2018-11-06  9:50 Lars Wendler
2018-11-05 15:59 Mikle Kolyada
2018-07-22 17:07 Mikle Kolyada
2018-06-06  8:23 Lars Wendler
2018-06-06  8:23 Lars Wendler
2017-12-19  0:37 Lars Wendler
2017-10-20  8:28 Lars Wendler
2017-10-02  9:08 Lars Wendler
2017-07-17 20:29 Amy Liffey
2017-07-17 20:14 Amy Liffey
2016-11-03 21:03 Patrice Clement
2016-07-17  0:52 Maciej Mrozowski

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1682094921.02156618843705a9eb13785cb4725e9777af483b.ceamac@gentoo \
    --to=ceamac@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox